Skip to content

Lead Event

Record lead events in the customer data platform. Supports adding a single lead event and submitting asynchronous bulk lead event jobs with status polling.

Add lead event. On success returns 201 with APIResponse; data is a map of created keys (eventId, and id when available).

Request

Security
bearerAuth and apiKeyAuth
Bodyapplication/jsonrequired
idstring
eventIdstring
eventTypestring
sourceIdstring
sourceInfosArray of objects(SourceInfo)
attributesArray of objects(Attribute)
demographicsobject(Demographics_LeadEvent)
userobject(UserInfo)
deletedboolean
curl -i -X POST \
  https://developer.sprinklr.com/_mock/apis/sprinklr-v3/dmp/leadEvents \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "id": "string",
    "eventId": "string",
    "eventType": "string",
    "sourceId": "string",
    "sourceInfos": [
      {
        "id": "string",
        "sourceId": "string",
        "sourceName": "string",
        "sourceUploadTime": 0,
        "sourceType": "string"
      }
    ],
    "attributes": [
      {
        "key": "string",
        "value": {},
        "fieldType": "string"
      }
    ],
    "demographics": {
      "age": 0,
      "gender": "string"
    },
    "user": {
      "customerId": "string",
      "email": "string",
      "phoneNo": "string",
      "firstName": "string",
      "lastName": "string",
      "fullName": "string",
      "anonymousId": "string",
      "phoneDetails": [
        {
          "phoneNo": "string",
          "countryCode": "string",
          "countryId": "string",
          "type": "string",
          "connectivity": 0.1
        }
      ],
      "emailDetails": [
        {
          "email": "string",
          "type": "string"
        }
      ],
      "attributes": [
        {
          "key": "string",
          "value": {},
          "fieldType": "string"
        }
      ]
    },
    "deleted": true
  }'

Responses

Success

Bodyapplication/json
dataobject
errorsArray of objects(Error)
metadataobject(ResponseMetadata)
Response
{ "data": {}, "errors": [ { … } ], "metadata": {} }